#version 430 core
out vec4 color;
  
in vec2 texCoords;

uniform sampler2D screenTexture;
uniform sampler2D bloomTexture;

void main()
{ 		
	vec3 fragment = texture(screenTexture, texCoords).rgb;
	vec3 bloom = texture(bloomTexture, texCoords).rgb;
	
	vec3 fragColor = fragment + bloom;

	color = vec4(fragColor, 1.0);
	
}